Bug 1281928 - oc tag --source=docker <pull spec> <stream>:<tag> does not create tag
oc tag --source=docker <pull spec> <stream>:<tag> does not create tag
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Image Registry (Show other bugs)
3.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Maciej Szulik
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 15:40 EST by Maciej Szulik
Modified: 2016-05-12 13:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:14:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maciej Szulik 2015-11-13 15:40:08 EST
Description of problem:
oc tag --source=docker <pull spec> <stream>:<tag>
does not create requested tag. The problem seems to be https://github.com/openshift/origin/pull/4853/files#diff-1a35f433d29ab01f47e5563ac4933758R156

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. oc tag --source=docker <pull spec> <stream>:<tag>

Actual results:
No tag is created.

Expected results:
Should create tag.
Comment 1 Maciej Szulik 2015-11-13 15:42:22 EST
This is related to https://bugzilla.redhat.com/show_bug.cgi?id=1277046
Comment 2 Maciej Szulik 2015-11-24 08:33:27 EST
The PR for this is: https://github.com/openshift/origin/pull/5932
Comment 3 openshift-github-bot 2015-12-04 09:27:33 EST
Commits pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/fb730e44a38e26594204ad42e1e85c3693f354e8
Bug 1281928 - fix image stream tagging for DockerImage type images.

https://github.com/openshift/origin/commit/3cdc1aec22f517f15d81b8b8cbdedb894e0977de
Merge pull request #5932 from soltysh/bug1281928

Merged by openshift-bot
Comment 4 Wei Sun 2015-12-07 03:11:34 EST
Verified against devenv-rhel7_2888.

Result:
1.oc tag --source=docker wsun/python-33-centos:latest  wsuntest/python:tip

# oc get is python -o json
"status": {
                "dockerImageRepository": "172.30.137.194:5000/wsuntest/python",
                "tags": [
                    {
                        "tag": "tip",
                        "items": [
                            {
                                "created": "2015-12-07T07:54:29Z",
                                "dockerImageReference": "docker.io/wsun/python-33-centos@sha256:354d212f9a8c776a221487f4223211103f2e0c4d42ea97eeae6091523acff3ef",
                                "image": "sha256:354d212f9a8c776a221487f4223211103f2e0c4d42ea97eeae6091523acff3ef"
                            }


2.#oc tag --source=docker wsun/python-33-centos:latest  wsuntest/python:tip
3.# oc get is python 
NAME      DOCKER REPO                           TAGS       UPDATED
python    172.30.137.194:5000/wsuntest/python   test,tip   5 seconds ago

4.# oc get is python -o json
"status": {
        "dockerImageRepository": "172.30.137.194:5000/wsuntest/python",
        "tags": [
            {
                "tag": "test",
                "items": [
                    {
                        "created": "2015-12-07T08:02:11Z",
                        "dockerImageReference": "docker.io/wsun/python-33-centos@sha256:354d212f9a8c776a221487f4223211103f2e0c4d42ea97eeae6091523acff3ef",
                        "image": "sha256:354d212f9a8c776a221487f4223211103f2e0c4d42ea97eeae6091523acff3ef"
                    }
                ]
            },
            {
                "tag": "tip",
                "items": [
                    {
                        "created": "2015-12-07T07:54:29Z",
                        "dockerImageReference": "docker.io/wsun/python-33-centos@sha256:354d212f9a8c776a221487f4223211103f2e0c4d42ea97eeae6091523acff3ef",
                        "image": "sha256:354d212f9a8c776a221487f4223211103f2e0c4d42ea97eeae6091523acff3ef"
                    }
                ]
            }
        ]
    }

Note You need to log in before you can comment on or make changes to this bug.